#include "mbed.h"
#include "HIH6130.h"
 
#if defined(TARGET_LPC1768)
    #define PIN_SDA p9
    #define PIN_SCL p10
#elif defined (TARGET_KL05Z)
    #define PIN_SDA D14
    #define PIN_SCL D15        
#elif defined(TARGET_KL25Z) // watch out for the PTE0/PTE1 mixed up in the KL25Z doc 
    #define PIN_SDA D14
    #define PIN_SCL D15
    //#define PIN_SDA D7
    //#define PIN_SCL D6
#elif defined(TARGET_K64F)
    #define PIN_SDA PTE24
    #define PIN_SCL PTE24
    //#define PIN_SDA D12
    //#define PIN_SCL D11
#endif

int main() 
{    
    Serial pc(USBTX, USBRX);
    HIH6130 hih6130(PIN_SDA, PIN_SCL);
    
    float humidity, temperature;
    
    pc.baud(115200);
    
    pc.printf("Starting HIH6130 library demo\r\n");
    
    while(1) 
    {        
        if (hih6130.ReadData(&humidity, &temperature))
            printf("Humidity(%%RH): %8.2f \t Temperature(C): %8.2f\r\n", humidity, temperature);  
        wait(1);
    }
}